OVDB_STAT(8)

NAME
ovdb_stat - Display information from the ovdb database

SYNOPSIS
ovdb_stat [-Hgci] [-r artnumrange] newsgroup [newsgroup ...]

ovdb_stat -HklmMtv [-d database]

DESCRIPTION
ovdb_stat displays information from the ovdb database: Berkeley DB statistics, newsgroup data, and overview records. The output can optionally be in HTML format.

OPTIONS

-g  Newsgroup high water mark, low marker mark, article count, and flag for the given newsgroups (as stored in the ovdb groupinfo database) are displayed.

-c  Similar to -g, except the high water mark, low water mark, and article count are calculated by actually scanning the overview records and counting them. This can be a lengthy operation on groups with lots of articles.

-i  Internal data regarding the given newsgroups are displayed.

-r artnumrange
    Overview records are retrieved. The artnumrange parameter may be a single article number, or a range of articles in the format "low-high".

-H  Output is presented in HTML format.

-k  Displays lock region statistics, as returned by the Berkeley DB lock_stat() call.

-l  Displays log region statistics, as returned by the Berkeley DB log_stat() call.

-m  Displays global memory pool statistics, as returned by the Berkeley DB memp_stat() call.

-M  Same as -m, and also displays memory pool statistics for each database file.

-t  Displays log region statistics, as returned by the Berkeley DB txn_stat() call.

-v  Displays ovdb version, and Berkeley DB version.

-d database
    Displays information about the given database, as returned by the Berkeley DB db->stat() call. This operation may take a long time on busy systems (several minutes or more).

WARNINGS
ovdb_stat may be safely killed with the INT, TERM, or HUP signals. It catches those signals and exits cleanly. Do not kill ovdb_stat with other signals, unless absolutely necessary, because it may leave stale locks in the database environment.

HISTORY
Written by Heath Kehoe <hakehoe@avalon.net> for InterNetNews.

SEE ALSO
ovdb(5).